Index: trunk/tools/FlairGCS/src/Map.cpp
===================================================================
--- trunk/tools/FlairGCS/src/Map.cpp	(revision 14)
+++ trunk/tools/FlairGCS/src/Map.cpp	(revision 15)
@@ -21,322 +21,306 @@
 using namespace QtMobility;
 
-Map::Map(Layout* parent,int row, int col,QString name,QList<QGeoCoordinate> coordinates,bool enabled,int period):
-    DataRemote(name,"Map",parent,enabled,period)
-{
-    visible_widget=new QWidget();
-    visible_widget->setObjectName(name);
-    centeredpoint=0;
-
-    mapTypes[QGraphicsGeoMap::StreetMap] = tr("Street map");
-    mapTypes[QGraphicsGeoMap::SatelliteMapDay] = tr("Satellite map (day)");
-    mapTypes[QGraphicsGeoMap::SatelliteMapNight] = tr("Satellite map (night)");
-    mapTypes[QGraphicsGeoMap::TerrainMap] = tr("Terrain map");
-
-    mapWidget = new MapWidget(this,visible_widget);
-    geoMap = 0;
-
-
-    QVBoxLayout *map_layout = new QVBoxLayout();
-    parent->getQGridLayout()->addLayout(map_layout,row,col);
-    QHBoxLayout *tool_layout = new QHBoxLayout();
-    map_layout->addLayout(tool_layout,0);
-
-    QFormLayout* servicelayout = new QFormLayout();
-    serviceCombo = new QComboBox(visible_widget);
-    servicelayout->addRow("service: ",serviceCombo);
-    QFormLayout* maplayout = new QFormLayout();
-    mapTypeCombo = new QComboBox(visible_widget);
-    maplayout->addRow("map type: ",mapTypeCombo);
-    QFormLayout* proxylayout = new QFormLayout();
-    proxyCombo = new QComboBox(visible_widget);
-    proxylayout->addRow("proxy: ",proxyCombo);
-
-    if(findServices())
-    {
-        tool_layout->addLayout(servicelayout,0);
-        tool_layout->addLayout(maplayout,1);
-        tool_layout->addLayout(proxylayout,2);
-
-        zoomin=new QToolButton(visible_widget);
-        zoomout=new QToolButton(visible_widget);
-        zoomInAction = new QAction(QIcon(QPixmap(":zoomin.png")), tr("Zoom &In"),zoomin);
-        zoomOutAction = new QAction(QIcon(QPixmap(":zoomout.png")), tr("Zoom &Out"),zoomout);
-        zoomin->setDefaultAction(zoomInAction);
-        zoomout->setDefaultAction(zoomOutAction);
-        tool_layout->addWidget(zoomin,3);
-        tool_layout->addWidget(zoomout,4);
-        connect(zoomInAction, SIGNAL(triggered()), this, SLOT(zoomIn()));
-        connect(zoomOutAction, SIGNAL(triggered()), this, SLOT(zoomOut()));
-
-        selectService(0);
-
-        findproxy();
-
-        connect(serviceCombo, SIGNAL(currentIndexChanged(int)), this, SLOT(selectService(int)));
-        connect(mapTypeCombo, SIGNAL(currentIndexChanged(int)), this, SLOT(changeMapType(int)));
-        connect(proxyCombo, SIGNAL(currentIndexChanged(int)), this, SLOT(changeproxy(int)));
-    }
-    else
-    {
-        printf("Error, no services!\n");
-        mapWidget->setEnabled(false);
-    }
-
-    map_layout->addWidget(mapWidget,1);
-    for(int i=0;i<coordinates.size();i++) {
-        mapWidget->AddLandmark((QGeoCoordinate &)coordinates.at(i));
-    }
-}
-
-Map::~Map()
-{
-}
-
-bool Map::findServices(void)
-{
-    QCoreApplication::addLibraryPath(qgetenv("OECORE_HOST_SYSROOT") + "/usr/lib/qt4/");
-
-    QStringList services = QGeoServiceProvider::availableServiceProviders();
-
-    if (services.isEmpty())
-    {
-        QGraphicsTextItem *item = mapWidget->scene()->addText(
-            tr("Failed to find any map services. Please ensure that "
-               "the location services plugins for Qt Mobility are "
-               "installed and, if necessary, set the IGEP_ROOT "
-               "environment variable to the good location."));
-
-        item->setTextWidth(300);
-
-        return false;
-    }
-
-    QMap<QString, QVariant> parameters;
-
-    foreach (QString name, services)
-    {
-
-        parameters["mapping.cache.directory"] = name;
-        parameters["mapping.cache.size"] = QString("500000000");
-
-        QGeoServiceProvider *service = new QGeoServiceProvider(name,parameters);
-
-        if (service->error() != QGeoServiceProvider::NoError) {
-            delete service;
-            continue;
-        }
-
-        QGeoMappingManager *manager = service->mappingManager();
-
-        if (manager)
-        {
-            serviceCombo->addItem(name);
-            managers.append(manager);
-        }
-    }
-
+Map::Map(Layout *parent, int row, int col, QString name,
+         QList<QGeoCoordinate> coordinates, bool enabled, int period)
+    : DataRemote(name, "Map", parent, enabled, period) {
+  visible_widget = new QWidget();
+  visible_widget->setObjectName(name);
+  centeredpoint = 0;
+
+  mapTypes[QGraphicsGeoMap::StreetMap] = tr("Street map");
+  mapTypes[QGraphicsGeoMap::SatelliteMapDay] = tr("Satellite map (day)");
+  mapTypes[QGraphicsGeoMap::SatelliteMapNight] = tr("Satellite map (night)");
+  mapTypes[QGraphicsGeoMap::TerrainMap] = tr("Terrain map");
+
+  mapWidget = new MapWidget(this, visible_widget);
+  geoMap = 0;
+
+  QVBoxLayout *map_layout = new QVBoxLayout();
+  parent->getQGridLayout()->addLayout(map_layout, row, col);
+  QHBoxLayout *tool_layout = new QHBoxLayout();
+  map_layout->addLayout(tool_layout, 0);
+
+  QFormLayout *servicelayout = new QFormLayout();
+  serviceCombo = new QComboBox(visible_widget);
+  servicelayout->addRow("service: ", serviceCombo);
+  QFormLayout *maplayout = new QFormLayout();
+  mapTypeCombo = new QComboBox(visible_widget);
+  maplayout->addRow("map type: ", mapTypeCombo);
+  QFormLayout *proxylayout = new QFormLayout();
+  proxyCombo = new QComboBox(visible_widget);
+  proxylayout->addRow("proxy: ", proxyCombo);
+
+  if (findServices()) {
+    tool_layout->addLayout(servicelayout, 0);
+    tool_layout->addLayout(maplayout, 1);
+    tool_layout->addLayout(proxylayout, 2);
+
+    zoomin = new QToolButton(visible_widget);
+    zoomout = new QToolButton(visible_widget);
+    zoomInAction =
+        new QAction(QIcon(QPixmap(":zoomin.png")), tr("Zoom &In"), zoomin);
+    zoomOutAction =
+        new QAction(QIcon(QPixmap(":zoomout.png")), tr("Zoom &Out"), zoomout);
+    zoomin->setDefaultAction(zoomInAction);
+    zoomout->setDefaultAction(zoomOutAction);
+    tool_layout->addWidget(zoomin, 3);
+    tool_layout->addWidget(zoomout, 4);
+    connect(zoomInAction, SIGNAL(triggered()), this, SLOT(zoomIn()));
+    connect(zoomOutAction, SIGNAL(triggered()), this, SLOT(zoomOut()));
+
+    selectService(0);
+
+    findproxy();
+
+    connect(serviceCombo, SIGNAL(currentIndexChanged(int)), this,
+            SLOT(selectService(int)));
+    connect(mapTypeCombo, SIGNAL(currentIndexChanged(int)), this,
+            SLOT(changeMapType(int)));
+    connect(proxyCombo, SIGNAL(currentIndexChanged(int)), this,
+            SLOT(changeproxy(int)));
+  } else {
+    printf("Error, no services!\n");
+    mapWidget->setEnabled(false);
+  }
+
+  map_layout->addWidget(mapWidget, 1);
+  for (int i = 0; i < coordinates.size(); i++) {
+    mapWidget->AddLandmark((QGeoCoordinate &)coordinates.at(i));
+  }
+}
+
+Map::~Map() {}
+
+bool Map::findServices(void) {
+  QCoreApplication::addLibraryPath(qgetenv("OECORE_HOST_SYSROOT") +
+                                   "/usr/lib/qt4/");
+
+  QStringList services = QGeoServiceProvider::availableServiceProviders();
+
+  if (services.isEmpty()) {
+    QGraphicsTextItem *item = mapWidget->scene()->addText(
+        tr("Failed to find any map services. Please ensure that "
+           "the location services plugins for Qt Mobility are "
+           "installed and, if necessary, set the IGEP_ROOT "
+           "environment variable to the good location."));
+
+    item->setTextWidth(300);
+
+    return false;
+  }
+
+  QMap<QString, QVariant> parameters;
+
+  foreach (QString name, services) {
+
+    parameters["mapping.cache.directory"] = name;
+    parameters["mapping.cache.size"] = QString("500000000");
+
+    QGeoServiceProvider *service = new QGeoServiceProvider(name, parameters);
+
+    if (service->error() != QGeoServiceProvider::NoError) {
+      delete service;
+      continue;
+    }
+
+    QGeoMappingManager *manager = service->mappingManager();
+
+    if (manager) {
+      serviceCombo->addItem(name);
+      managers.append(manager);
+    }
+  }
+
+  return true;
+}
+
+void Map::selectService(int item) {
+  QString name = serviceCombo->currentText();
+
+  QGeoCoordinate coordinate = QGeoCoordinate(0, 0);
+  QGraphicsGeoMap::MapType mapType = QGraphicsGeoMap::StreetMap;
+  int zoomLevel = 1;
+
+  if (geoMap) {
+    coordinate = geoMap->center();
+    mapType = geoMap->mapType();
+    zoomLevel = geoMap->zoomLevel();
+
+    mapWidget->RemoveLandmarks();
+    RemovePoints();
+    geoMap->deleteLater();
+  }
+
+  manager = managers[item];
+  geoMap = new QGraphicsGeoMap(manager);
+
+  mapWidget->AddLandmarks(geoMap);
+  AddPoints(geoMap);
+  geoMap->setCenter(coordinate);
+  geoMap->setMapType(mapType);
+
+  populateMapTypeCombo();
+  updateZoom(zoomLevel);
+
+  mapWidget->setMap(geoMap);
+  connect(geoMap, SIGNAL(zoomLevelChanged(qreal)), this,
+          SLOT(updateZoom(qreal)));
+}
+
+void Map::changeMapType(int index) {
+  geoMap->setMapType(
+      QGraphicsGeoMap::MapType(mapTypeCombo->itemData(index).toInt()));
+}
+
+void Map::populateMapTypeCombo(void) {
+  mapTypeCombo->clear();
+
+  foreach (QGraphicsGeoMap::MapType mapType, geoMap->supportedMapTypes()) {
+    if (mapTypes.contains(mapType))
+      mapTypeCombo->addItem(mapTypes[mapType], QVariant(mapType));
+  }
+
+  if (mapTypeCombo->count() > 0)
+    geoMap->setMapType(
+        QGraphicsGeoMap::MapType(mapTypeCombo->itemData(0).toInt()));
+}
+
+void Map::zoomIn(void) { updateZoom(geoMap->zoomLevel() + 1); }
+
+void Map::zoomOut(void) { updateZoom(geoMap->zoomLevel() - 1); }
+
+void Map::updateZoom(qreal value) {
+  value =
+      qBound(manager->minimumZoomLevel(), value, manager->maximumZoomLevel());
+
+  geoMap->setZoomLevel(value);
+  zoomin->setEnabled(geoMap->zoomLevel() < manager->maximumZoomLevel());
+  zoomout->setEnabled(geoMap->zoomLevel() > manager->minimumZoomLevel());
+}
+
+void Map::findproxy(void) {
+  proxyCombo->addItem("none");
+  proxyCombo->addItem("new");
+  proxyCombo->addItem("proxyweb.utc.fr:3128");
+}
+
+void Map::changeproxy(int index) {
+  if (index == 0) {
+    QNetworkProxy proxy;
+    proxy.setType(QNetworkProxy::NoProxy);
+    QNetworkProxy::setApplicationProxy(proxy);
+  } else if (index == 1) {
+    bool ok;
+    QString text =
+        QInputDialog::getText(visible_widget, tr("New proxy:"), tr("proxy: "),
+                              QLineEdit::Normal, "adress:port", &ok);
+    if (ok == true) {
+      proxyCombo->addItem(text);
+      proxyCombo->setCurrentIndex(proxyCombo->count() - 1);
+    }
+  } else {
+    QStringList string = proxyCombo->itemText(index).split(":");
+    QNetworkProxy proxy;
+    proxy.setType(QNetworkProxy::HttpProxy);
+    proxy.setHostName(string.at(0));
+    proxy.setPort(string.at(1).toInt());
+    QNetworkProxy::setApplicationProxy(proxy);
+    updateZoom(geoMap->zoomLevel()); // refresh
+  }
+}
+
+void Map::SetUptodate(void) {
+  QList<Landmark *> *landmarks = mapWidget->Landmarks();
+  for (int i = 0; i < landmarks->count(); i++) {
+    RemoveAttribute("lat" + QString::number(i));
+    RemoveAttribute("long" + QString::number(i));
+
+    if (mapWidget->LandmarkToSend(i)) {
+      SetAttribute("lat" + QString::number(i),
+                   landmarks->at(i)->coordinate().latitude());
+      SetAttribute("long" + QString::number(i),
+                   landmarks->at(i)->coordinate().longitude());
+    }
+  }
+
+  mapWidget->SetUptodate();
+}
+
+bool Map::IsUptodate(void) { return mapWidget->IsUptodate(); }
+
+void Map::Reset(void) { mapWidget->Reset(); }
+
+void Map::setCenteredPoint(int i) {
+  centeredpoint = i;
+  if (isCentered())
+    geoMap->setCenter(points.at(i)->coordinate());
+}
+
+int Map::centeredPoint(void) { return centeredpoint; }
+
+bool Map::isCentered(void) {
+  if (centeredpoint != -1) {
     return true;
-}
-
-void Map::selectService(int item)
-{
-    QString name = serviceCombo-> currentText ();
-
-    QGeoCoordinate coordinate = QGeoCoordinate(0, 0);
-    QGraphicsGeoMap::MapType mapType = QGraphicsGeoMap::StreetMap;
-    int zoomLevel = 1;
-
-    if (geoMap) {
-        coordinate = geoMap->center();
-        mapType = geoMap->mapType();
-        zoomLevel = geoMap->zoomLevel();
-
-        mapWidget->RemoveLandmarks();
-        RemovePoints();
-        geoMap->deleteLater();
-    }
-
-    manager = managers[item];
-    geoMap = new QGraphicsGeoMap(manager);
-
-    mapWidget->AddLandmarks(geoMap);
-    AddPoints(geoMap);
-    geoMap->setCenter(coordinate);
-    geoMap->setMapType(mapType);
-
-    populateMapTypeCombo();
-    updateZoom(zoomLevel);
-
-    mapWidget->setMap(geoMap);
-    connect(geoMap, SIGNAL(zoomLevelChanged(qreal)), this, SLOT(updateZoom(qreal)));
-}
-
-void Map::changeMapType(int index)
-{
-    geoMap->setMapType(QGraphicsGeoMap::MapType(mapTypeCombo->itemData(index).toInt()));
-}
-
-void Map::populateMapTypeCombo(void)
-{
-    mapTypeCombo->clear();
-
-    foreach (QGraphicsGeoMap::MapType mapType, geoMap->supportedMapTypes()) {
-        if (mapTypes.contains(mapType))
-            mapTypeCombo->addItem(mapTypes[mapType], QVariant(mapType));
-    }
-
-    if (mapTypeCombo->count() > 0)
-        geoMap->setMapType(QGraphicsGeoMap::MapType(mapTypeCombo->itemData(0).toInt()));
-}
-
-void Map::zoomIn(void)
-{
-    updateZoom(geoMap->zoomLevel() + 1);
-}
-
-void Map::zoomOut(void)
-{
-    updateZoom(geoMap->zoomLevel() - 1);
-}
-
-void Map::updateZoom(qreal value)
-{
-    value = qBound(manager->minimumZoomLevel(), value, manager->maximumZoomLevel());
-
-    geoMap->setZoomLevel(value);
-    zoomin->setEnabled(geoMap->zoomLevel() < manager->maximumZoomLevel());
-    zoomout->setEnabled(geoMap->zoomLevel() > manager->minimumZoomLevel());
-}
-
-void Map::findproxy(void)
-{
-    proxyCombo->addItem("none");
-    proxyCombo->addItem("new");
-    proxyCombo->addItem("proxyweb.utc.fr:3128");
-}
-
-void Map::changeproxy(int index)
-{
-    if(index==0)
-    {
-        QNetworkProxy proxy;
-        proxy.setType(QNetworkProxy::NoProxy);
-        QNetworkProxy::setApplicationProxy(proxy);
-    }
-    else if(index==1)
-    {
-        bool ok;
-        QString text = QInputDialog::getText(visible_widget, tr("New proxy:"),
-                                          tr("proxy: "), QLineEdit::Normal,
-                                          "adress:port", &ok);
-        if(ok==true)
-        {
-            proxyCombo->addItem(text);
-            proxyCombo->setCurrentIndex(proxyCombo->count()-1);
-        }
-    }
-    else
-    {
-        QStringList string=proxyCombo->itemText(index).split(":");
-        QNetworkProxy proxy;
-        proxy.setType(QNetworkProxy::HttpProxy);
-        proxy.setHostName(string.at(0));
-        proxy.setPort(string.at(1).toInt());
-        QNetworkProxy::setApplicationProxy(proxy);
-        updateZoom(geoMap->zoomLevel());//refresh
-    }
-}
-
-void Map::SetUptodate(void) {
-    QList<Landmark*> *landmarks=mapWidget->Landmarks();
-    for(int i=0;i<landmarks->count();i++) {
-        RemoveAttribute("lat" +QString::number(i));
-        RemoveAttribute("long" +QString::number(i));
-
-        if(mapWidget->LandmarkToSend(i)) {
-            SetAttribute("lat" +QString::number( i ) ,landmarks->at(i)->coordinate().latitude());
-            SetAttribute("long" +QString::number( i ) ,landmarks->at(i)->coordinate().longitude());
-        }
-    }
-
-    mapWidget->SetUptodate();
-}
-
-bool Map::IsUptodate(void)
-{
-    return mapWidget->IsUptodate();
-}
-
-void Map::Reset(void)
-{
-    mapWidget->Reset();
-}
-
-void Map::setCenteredPoint(int i) {
-    centeredpoint=i;
-    if(isCentered()) geoMap->setCenter(points.at(i)->coordinate());
-}
-
-int Map::centeredPoint(void) {
-    return centeredpoint;
-}
-
-bool Map::isCentered(void) {
-    if(centeredpoint!=-1) {
-        return true;
-    } else {
-        return false;
-    }
+  } else {
+    return false;
+  }
 }
 
 void Map::XmlEvent(QDomElement dom) {
-    if(dom.attribute("point")!="") {
-        receivesize+=3*sizeof(double);
-        if(mapWidget->isEnabled()) {
-            Landmark* landmark=new Landmark(geoMap,QGeoCoordinate(0,0,0),dom.attribute("point"),"cross");
-            landmark->setColor(Qt::black);
-            points.append(landmark);
-            mapWidget->AddPoint(dom.attribute("point"));
-        }
-    } else {
-        XmlSetup(dom);
-    }
-}
-
-void Map::BufEvent(char** buf,int *buf_size,uint16_t period,bool big_endian) {
-    if(IsEnabled()==false || RefreshRate_ms()!=period) return;
-
-    for(int i=0;i<points.count();i++) {
-        qint64 lat_raw;
-        double* lat=(double*)&lat_raw;
-        qint64 longitude_raw;
-        double* longitude=(double*)&longitude_raw;
-        qint64 alt_raw;
-        double* alt=(double*)&alt_raw;
-
-        memcpy(&lat_raw,*buf,sizeof(qint64));
-        *buf+=sizeof(qint64);
-        memcpy(&longitude_raw,*buf,sizeof(qint64));
-        *buf+=sizeof(qint64);
-        memcpy(&alt_raw,*buf,sizeof(qint64));
-        *buf+=sizeof(qint64);
-        if(big_endian==true) lat_raw=qFromBigEndian(lat_raw);
-        if(big_endian==true) longitude_raw=qFromBigEndian(longitude_raw);
-        if(big_endian==true) alt_raw=qFromBigEndian(alt_raw);
-        points.at(i)->setCoordinate(QGeoCoordinate(*lat,*longitude,*alt));
-
-        if(i==centeredpoint) geoMap->setCenter(points.at(i)->coordinate());
-    }
+  if (dom.attribute("point") != "") {
+    receivesize += 3 * sizeof(double);
+    if (mapWidget->isEnabled()) {
+      Landmark *landmark = new Landmark(geoMap, QGeoCoordinate(0, 0, 0),
+                                        dom.attribute("point"), "cross");
+      landmark->setColor(Qt::black);
+      points.append(landmark);
+      mapWidget->AddPoint(dom.attribute("point"));
+    }
+  } else {
+    XmlSetup(dom);
+  }
+}
+
+void Map::BufEvent(char **buf, int *buf_size, uint16_t period,
+                   bool big_endian) {
+  if (IsEnabled() == false || RefreshRate_ms() != period)
+    return;
+
+  for (int i = 0; i < points.count(); i++) {
+    qint64 lat_raw;
+    double *lat = (double *)&lat_raw;
+    qint64 longitude_raw;
+    double *longitude = (double *)&longitude_raw;
+    qint64 alt_raw;
+    double *alt = (double *)&alt_raw;
+
+    memcpy(&lat_raw, *buf, sizeof(qint64));
+    *buf += sizeof(qint64);
+    memcpy(&longitude_raw, *buf, sizeof(qint64));
+    *buf += sizeof(qint64);
+    memcpy(&alt_raw, *buf, sizeof(qint64));
+    *buf += sizeof(qint64);
+    if (big_endian == true)
+      lat_raw = qFromBigEndian(lat_raw);
+    if (big_endian == true)
+      longitude_raw = qFromBigEndian(longitude_raw);
+    if (big_endian == true)
+      alt_raw = qFromBigEndian(alt_raw);
+    points.at(i)->setCoordinate(QGeoCoordinate(*lat, *longitude, *alt));
+
+    if (i == centeredpoint)
+      geoMap->setCenter(points.at(i)->coordinate());
+  }
 }
 
 void Map::RemovePoints(void) {
-    for(int i=0;i<points.count();i++) {
-        points.at(i)->RemoveLandmark();
-    }
+  for (int i = 0; i < points.count(); i++) {
+    points.at(i)->RemoveLandmark();
+  }
 }
 
 void Map::AddPoints(QGraphicsGeoMap *geoMap) {
-    for(int i=0;i<points.count();i++) {
-        points.at(i)->AddLandmark(geoMap);
-    }
-}
+  for (int i = 0; i < points.count(); i++) {
+    points.at(i)->AddLandmark(geoMap);
+  }
+}
Index: trunk/tools/FlairGCS/src/Map.h
===================================================================
--- trunk/tools/FlairGCS/src/Map.h	(revision 14)
+++ trunk/tools/FlairGCS/src/Map.h	(revision 15)
@@ -18,54 +18,53 @@
 
 namespace QtMobility {
-    class QGeoMappingManager;
-    class QGraphicsGeoMap;
-    class QGeoServiceProvider;
+class QGeoMappingManager;
+class QGraphicsGeoMap;
+class QGeoServiceProvider;
 }
 
-class Map: public DataRemote
-{
-    Q_OBJECT
+class Map : public DataRemote {
+  Q_OBJECT
 
-    public:
-        Map(Layout* parent,int row, int col,QString name,QList<QtMobility::QGeoCoordinate> coordinates,bool enabled,int period);
-        ~Map();
-        void setCenteredPoint(int i);
-        int centeredPoint(void);
-        bool isCentered(void);
+public:
+  Map(Layout *parent, int row, int col, QString name,
+      QList<QtMobility::QGeoCoordinate> coordinates, bool enabled, int period);
+  ~Map();
+  void setCenteredPoint(int i);
+  int centeredPoint(void);
+  bool isCentered(void);
 
-    private:
-        MapWidget *mapWidget;
-        QtMobility::QGeoMappingManager *manager;
-        QList<QtMobility::QGeoMappingManager *> managers;
-        QtMobility::QGraphicsGeoMap *geoMap;
-        QtMobility::QGeoServiceProvider *service;
-        QComboBox *mapTypeCombo,*serviceCombo,*proxyCombo;
-        QHash<QtMobility::QGraphicsGeoMap::MapType, QString> mapTypes;
-        QToolButton *zoomin,*zoomout;
-        QAction *zoomInAction;
-        QAction *zoomOutAction;
-        QList<Landmark*> points;
-        int centeredpoint;
+private:
+  MapWidget *mapWidget;
+  QtMobility::QGeoMappingManager *manager;
+  QList<QtMobility::QGeoMappingManager *> managers;
+  QtMobility::QGraphicsGeoMap *geoMap;
+  QtMobility::QGeoServiceProvider *service;
+  QComboBox *mapTypeCombo, *serviceCombo, *proxyCombo;
+  QHash<QtMobility::QGraphicsGeoMap::MapType, QString> mapTypes;
+  QToolButton *zoomin, *zoomout;
+  QAction *zoomInAction;
+  QAction *zoomOutAction;
+  QList<Landmark *> points;
+  int centeredpoint;
 
-        bool findServices(void);
-        void findproxy(void);
-        void populateMapTypeCombo();
-        bool IsUptodate(void);
-        void SetUptodate(void);
-        void Reset(void);
-        void XmlEvent(QDomElement dom);
-        void BufEvent(char** buf,int *buf_size,uint16_t period,bool big_endian);
+  bool findServices(void);
+  void findproxy(void);
+  void populateMapTypeCombo();
+  bool IsUptodate(void);
+  void SetUptodate(void);
+  void Reset(void);
+  void XmlEvent(QDomElement dom);
+  void BufEvent(char **buf, int *buf_size, uint16_t period, bool big_endian);
 
-        void RemovePoints(void);
-        void AddPoints(QtMobility::QGraphicsGeoMap *geoMap);
+  void RemovePoints(void);
+  void AddPoints(QtMobility::QGraphicsGeoMap *geoMap);
 
-    private slots:
-        void changeMapType(int index);
-        void selectService(int index);
-        void changeproxy(int index);
-        void updateZoom(qreal value);
-        void zoomIn(void);
-        void zoomOut(void);
-
+private slots:
+  void changeMapType(int index);
+  void selectService(int index);
+  void changeproxy(int index);
+  void updateZoom(qreal value);
+  void zoomIn(void);
+  void zoomOut(void);
 };
 
Index: trunk/tools/FlairGCS/src/Picture.cpp
===================================================================
--- trunk/tools/FlairGCS/src/Picture.cpp	(revision 14)
+++ trunk/tools/FlairGCS/src/Picture.cpp	(revision 15)
@@ -12,102 +12,88 @@
 #include <QVBoxLayout>
 
-Picture::Picture(Layout* parent,int row, int col,QString name,uint16_t width, uint16_t height,bool enabled,int period):DataRemote(name,"Picture",parent,enabled,period)
-{
-    box = new QGroupBox(name);
-    box->setObjectName(name);
+Picture::Picture(Layout *parent, int row, int col, QString name, uint16_t width,
+                 uint16_t height, bool enabled, int period)
+    : DataRemote(name, "Picture", parent, enabled, period) {
+  box = new QGroupBox(name);
+  box->setObjectName(name);
 
-    parent->addWidget(box,row,col);
+  parent->addWidget(box, row, col);
 
-    label=new QLabel();
+  label = new QLabel();
 
-    layout = new QVBoxLayout;
-    layout->addWidget(label);
-    box->setLayout(layout);
+  layout = new QVBoxLayout;
+  layout->addWidget(label);
+  box->setLayout(layout);
 
-    visible_widget=box;
+  visible_widget = box;
 
-    label->setAlignment(Qt::AlignCenter);
+  label->setAlignment(Qt::AlignCenter);
 
-    im_width=width;
-    im_height=height;
-    label->setMinimumSize(width,height);
-    label->setMaximumSize(width,height);
-    receivesize=width*height;
+  im_width = width;
+  im_height = height;
+  label->setMinimumSize(width, height);
+  label->setMaximumSize(width, height);
+  receivesize = width * height;
 
-    for(int i=0;i<256;i++)
-    {
-        color_table.append(qRgb(i,i,i));
+  for (int i = 0; i < 256; i++) {
+    color_table.append(qRgb(i, i, i));
+  }
+
+  label->installEventFilter(this);
+}
+
+Picture::~Picture() { delete layout; }
+
+void Picture::BufEvent(char **buf, int *buf_size, uint16_t period,
+                       bool big_endian) {
+  if (big_endian)
+    printf("Picture::BufEvent, big endian not handled\n");
+
+  if (IsEnabled() == false || RefreshRate_ms() != period)
+    return;
+
+  if ((*buf_size) >= im_width * im_height) {
+    QImage image = QImage((const uchar *)*buf, im_width, im_height,
+                          QImage::Format_Indexed8); // Format_RGB888);
+    *buf += im_width *im_height;
+    image.setColorTable(color_table);
+
+    label->setPixmap(QPixmap::fromImage(image));
+  } else
+    printf("buffer trop petit\n");
+}
+
+bool Picture::eventFilter(QObject *o, QEvent *e) {
+  if (o == label) {
+    switch (e->type()) {
+    case QEvent::MouseButtonPress: {
+      mousePressEvent((QMouseEvent *)e);
+      break;
     }
 
-    label->installEventFilter(this);
+    default:
+      break;
+    }
+  }
+  return label->eventFilter(o, e);
 }
 
+void Picture::mousePressEvent(QMouseEvent *event) {
 
-Picture::~Picture()
-{
-    delete layout;
+  if (event->x() > 0 && event->x() < label->width() && event->y() > 0 &&
+      event->y() < label->height() && event->button() == Qt::RightButton) {
+
+    QMenu *menu = new QMenu("nom", label);
+    // ajout des actions
+    QAction *a, *z;
+
+    a = menu->addAction("get frame");
+    a->setEnabled(!auto_refresh);
+
+    appendmenu(menu);
+    z = execmenu(label, menu, event->globalPos());
+    delete menu;
+  }
 }
 
-void Picture::BufEvent(char** buf,int *buf_size,uint16_t period,bool big_endian)
-{
-    if(big_endian) printf("Picture::BufEvent, big endian not handled\n");
-
-    if(IsEnabled()==false || RefreshRate_ms()!=period) return;
-
-    if((*buf_size)>=im_width*im_height)
-    {
-        QImage image= QImage((const uchar*)*buf,im_width,im_height,QImage::Format_Indexed8);//Format_RGB888);
-        *buf+=im_width*im_height;
-        image.setColorTable(color_table);
-
-        label->setPixmap(QPixmap::fromImage(image));
-    }
-    else
-        printf("buffer trop petit\n");
-}
-
-bool Picture::eventFilter(QObject *o, QEvent *e)
-{
-    if (  o == label )
-    {
-        switch(e->type())
-        {
-            case QEvent::MouseButtonPress:
-            {
-                mousePressEvent((QMouseEvent*)e);
-                break;
-            }
-
-            default:
-                break;
-        }
-    }
-    return label->eventFilter(o, e);
-}
-
-void Picture::mousePressEvent(QMouseEvent * event)
-{
-
-    if(event->x() > 0 && event->x() < label->width() &&
-       event->y() > 0 && event->y() < label->height() &&
-       event->button() == Qt::RightButton)
-    {
-
-        QMenu * menu = new QMenu("nom", label);
-        // ajout des actions
-        QAction *a,*z;
-
-        a=menu->addAction("get frame");
-        a->setEnabled(!auto_refresh);
-
-        appendmenu(menu);
-        z=execmenu(label,menu,event->globalPos());
-        delete menu;
-
-    }
-}
-
-void Picture::XmlEvent(QDomElement dom)
-{
-    XmlSetup(dom);
-}
+void Picture::XmlEvent(QDomElement dom) { XmlSetup(dom); }
Index: trunk/tools/FlairGCS/src/Picture.h
===================================================================
--- trunk/tools/FlairGCS/src/Picture.h	(revision 14)
+++ trunk/tools/FlairGCS/src/Picture.h	(revision 15)
@@ -17,28 +17,26 @@
 class QVBoxLayout;
 
-class Picture: public DataRemote
-{
-    Q_OBJECT
+class Picture : public DataRemote {
+  Q_OBJECT
 
-    public:
-        Picture(Layout* parent,int row, int col,QString name,uint16_t width, uint16_t height,bool enabled,int period);
-        ~Picture();
+public:
+  Picture(Layout *parent, int row, int col, QString name, uint16_t width,
+          uint16_t height, bool enabled, int period);
+  ~Picture();
 
-    protected:
-        void mousePressEvent(QMouseEvent *event);
+protected:
+  void mousePressEvent(QMouseEvent *event);
 
-    private:
-        QGroupBox* box;
-        QLabel *label;
-        QVBoxLayout *layout;
-        QVector<QRgb> color_table;
-        uint16_t im_width;
-        uint16_t im_height;
+private:
+  QGroupBox *box;
+  QLabel *label;
+  QVBoxLayout *layout;
+  QVector<QRgb> color_table;
+  uint16_t im_width;
+  uint16_t im_height;
 
-        bool eventFilter(QObject *, QEvent *);
-        void BufEvent(char** buf,int *buf_size,uint16_t period,bool big_endian);
-        void XmlEvent(QDomElement dom);
-
-
+  bool eventFilter(QObject *, QEvent *);
+  void BufEvent(char **buf, int *buf_size, uint16_t period, bool big_endian);
+  void XmlEvent(QDomElement dom);
 };
 
Index: trunk/tools/FlairGCS/src/PushButton.cpp
===================================================================
--- trunk/tools/FlairGCS/src/PushButton.cpp	(revision 14)
+++ trunk/tools/FlairGCS/src/PushButton.cpp	(revision 15)
@@ -7,23 +7,19 @@
 #include <QPushButton>
 
-PushButton::PushButton(Layout* parent,int row, int col,QString name):XmlWidget(name,"PushButton",parent)
-{
-    button=new QPushButton(name);
-    parent->addWidget(button,row,col);
+PushButton::PushButton(Layout *parent, int row, int col, QString name)
+    : XmlWidget(name, "PushButton", parent) {
+  button = new QPushButton(name);
+  parent->addWidget(button, row, col);
 
-    SetValue("0");
+  SetValue("0");
 
-    connect(button, SIGNAL(clicked(bool)),this, SLOT(button_clicked(bool)));
+  connect(button, SIGNAL(clicked(bool)), this, SLOT(button_clicked(bool)));
 }
 
-PushButton::~PushButton()
-{
-    delete button;
+PushButton::~PushButton() { delete button; }
+
+void PushButton::button_clicked(bool state) {
+  SetValue("1");
+  connectionLayout()->XmlToSend(XmlDoc());
+  SetValue("0");
 }
-
-void PushButton::button_clicked(bool state)
-{
-    SetValue("1");
-    connectionLayout()->XmlToSend(XmlDoc());
-    SetValue("0");
-}
Index: trunk/tools/FlairGCS/src/PushButton.h
===================================================================
--- trunk/tools/FlairGCS/src/PushButton.h	(revision 14)
+++ trunk/tools/FlairGCS/src/PushButton.h	(revision 15)
@@ -11,18 +11,16 @@
 class Layout;
 
-class PushButton: public XmlWidget
-{
-    Q_OBJECT
+class PushButton : public XmlWidget {
+  Q_OBJECT
 
-    public:
-        PushButton(Layout* parent,int row, int col,QString name);
-        ~PushButton();
+public:
+  PushButton(Layout *parent, int row, int col, QString name);
+  ~PushButton();
 
-    private:
-        QPushButton *button;
+private:
+  QPushButton *button;
 
-    private slots:
-        void button_clicked(bool state);
-
+private slots:
+  void button_clicked(bool state);
 };
 
